if(!exists("logt")) logt = log(1.5)
if(!exists("logs")) logs = log(1.0)

file = sprintf("< ./singular_values %f %f", exp(logs), exp(logt))
title = sprintf("s = %f, t = %f", exp(logs), exp(logt))
# print title

set zeroaxis
set size square
set xrange [0:25]
set yrange [0:25]
set grid
set parametric

plot file using (log($2)):(log($3)) w p pt 7 ps 0.5 lc 1 t title
# plot file using 2:3 w p pt 7 ps 0.5 lc 1 t title

pause mouse keypress
if(MOUSE_KEY == 60) logt=logt-0.02
if(MOUSE_KEY == 62) logt=logt+0.02
if(MOUSE_KEY == 44) logs=logs-0.02
if(MOUSE_KEY == 46) logs=logs+0.02
if(MOUSE_KEY != 113) reread
